Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.helper
Interface CommonAsyncService

All Known Subinterfaces:
  MemberDataService, VsbNetInsurabilityService, VsbNetInvoiceService, VsbNetMohmService

All Known Implementing Classes:
  DefaultCommonAsyncService, MemberDataIrisCareNetService, MemberDataServiceImpl, MemberDataWalCareNetService, VsbNetInsurabilityServiceImpl, VsbNetInvoiceServiceImpl, VsbNetMohmServiceImpl

    public interface CommonAsyncService

Interface for common generic asynchrounous service operations and validation methods.

Method Summary
`ConfirmResponse` | `confirmAll(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmAllMessages(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmAllTAcks(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmMessage(ProcessedMsgResponse msgResponse)`
`ConfirmResponse` | `confirmTAck(ProcessedTAckResponse tAckResponse)`
`SignatureVerificationResult` | `validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT)` Method to validate asynchrounously the signature of a tack response against the original posted blob.

Method Detail

### confirmAll

    ConfirmResponse confirmAll(ProcessedGetResponse getResponse)
                               throws ConnectorException

  Throws:
    `ConnectorException`

### confirmAllTAcks

    ConfirmResponse confirmAllTAcks(ProcessedGetResponse getResponse)
                                    throws ConnectorException

  Throws:
    `ConnectorException`

### confirmAllMessages

    ConfirmResponse confirmAllMessages(ProcessedGetResponse getResponse)
                                       throws ConnectorException

  Throws:
    `ConnectorException`

### confirmTAck

    ConfirmResponse confirmTAck(ProcessedTAckResponse tAckResponse)
                                throws ConnectorException

  Throws:
    `ConnectorException`

### confirmMessage

    ConfirmResponse confirmMessage(ProcessedMsgResponse msgResponse)
                                   throws ConnectorException

  Throws:
    `ConnectorException`

### validateXadesTWithManifest

    SignatureVerificationResult validateXadesTWithManifest(TAckResponse tAckResponse,
                                                           Blob postedBlob,
                                                           byte[] xadesT)
                                                           throws GenAsyncBusinessConnectorException

  Method to validate asynchrounously the signature of a tack response against the original posted blob.

  Parameters:
    `tAckResponse` - the signed tack response
    `postedBlob` - the blob posted as the the original request. The signature must contain a manifest linked to this blob
    `xadesT` - the signature to be verified
  Returns:
  Throws:
    `GenAsyncBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.